{% extends "scores/views/base.html" %}
{% import 'scores/views/macros.html' as macros %}

{% block version %}2D{% endblock %}

{% block main %}
<h1>{{ "Temperament in 2D"|_ }}</h1>

<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'nh', ['ns', 'ha']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['nh'])|_ }} ({{ ('2d.' + scores_2d['nh'] + '.abbr')|_ }})</h3>
    <p>{{ ('2d.' + scores_2d['nh'] + '.description')|_ }}</p>
  </article>
</div>

<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'nr', ['ns', 'rd']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['nr'])|_ }} ({{ ('2d.' + scores_2d['nr'] + '.abbr')|_ }})</h3>
    <p>{{ ('2d.' + scores_2d['nr'] + '.description')|_ }}</p>
  </article>
</div>

<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'rh', ['rd', 'ha']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['rh'])|_ }} ({{ ('2d.' + scores_2d['rh'] + '.abbr')|_ }})</h3>
    <p>{{ ('2d.' + scores_2d['rh'] + '.description')|_ }}</p>
  </article>
</div>

<hr>

<h1>{{ "Character in 2D"|_ }}</h1>

<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'sc', ['sd', 'co']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['sc'])|_ }} ({{ ('2d.' + scores_2d['sc'] + '.abbr')|_ }})</h3>
    <p>{{ ('2d.' + scores_2d['sc'] + '.description')|_ }}</p>
  </article>
</div>

<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'st', ['sd', 'st']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['st'])|_ }} ({{ ('2d.' + scores_2d['st'] + '.abbr')|_ }})</h3>
    <p>{{ ('2d.' + scores_2d['st'] + '.description')|_ }}</p>
  </article>
</div>

<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'ct', ['co', 'st']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['ct'])|_ }} ({{ ('2d.' + scores_2d['ct'] + '.abbr')|_ }})</h3>
    <p>{{ ('2d.' + scores_2d['ct'] + '.description')|_ }}</p>
  </article>
</div>

<hr>

<h1>{{ "Temperament in 2D"|_ }}</h1>
<p class=client-text>{{ "2d.temperament_description"|_ }}</p>
<div>
  {{ macros.graph_2d(result, 'nh', ['ns', 'ha'], with_title=true) }}
  {{ macros.graph_2d(result, 'nr', ['ns', 'rd'], with_title=true) }}
  {{ macros.graph_2d(result, 'rh', ['rd', 'ha'], with_title=true) }}
</div>

<h1>{{ "Character in 2D"|_ }}</h1>
<p class=client-text>{{ "2d.character_description"|_ }}</p>

{{ macros.graph_2d(result, 'sc', ['sd', 'co'], with_title=true) }}
{{ macros.graph_2d(result, 'st', ['sd', 'st'], with_title=true) }}
{{ macros.graph_2d(result, 'ct', ['co', 'st'], with_title=true) }}
{% endblock %}
